explain_vfork_or_die(3)

NAME
explain_vfork_or_die - create a child process and report errors
    "create a child process and block parent and report errors"

SYNOPSIS
#include <libexplain/vfork.h>

pid_t explain_vfork_or_die(void);
pid_t explain_vfork_on_error(void);

DESCRIPTION
The explain_vfork_or_die function is used to call the vfork(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_vfork(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_vfork_on_error function is used to call the vfork(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_vfork(3) function, but still returns to the caller.

RETURN VALUE
The explain_vfork_or_die function only returns on success, see vfork(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_vfork_on_error function always returns the value return by the wrapped vfork(2) system call.

EXAMPLE
The explain_vfork_or_die function is intended to be used in a fashion similar to the following example:
    pid_t result = explain_vfork_or_die();

SEE ALSO

vfork(2)
    create a child process and block parent

explain_vfork(3)
    explain vfork(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller